PDF

# Procedural File: pdf.inc Source Location: /lib/pdf.inc ## Classes: lamPDF Creates a LAM information page in PDF format. ## Page Details: LDAP Account Manager PDF printing library. It consists of lamPDF class, the createModulePDF() function that may be called by other pages and furthermore some helper functions. #### Tags:
author: | Michael Dürgner
#### Includes: include_once("ufpdf.php") [line 39] Unicode support for FPDF include_once('xml_parser.inc') [line 42] XML functions include_once("fpdf.php") [line 36] PDF generator class include_once('pdfstruct.inc') [line 45] access to PDF configuration files ### LAMPDF_LINEWIDTH [line 33]
`LAMPDF_LINEWIDTH = 190`
PDF line width [ Top ] ### createModulePDF [line 62]
`void createModulePDF( array $accounts, [string $pdf_structure = "default"])`
This function creates the PDF output of one or more accounts. At the moment this function can create a PDF page for user, group and host accounts. But this is not limited by the function itself but by the account types that are allowed in LAM and the exsisting PDF structure definitions. #### Parameters
array | $accounts | A numbered array containing all accounts the PDF page should be created for. The entries of the array must be AccountContainer objects.
string | $pdf_structure | The filename of the structure definition that should be used to create the PDF page. If not submitted the 'default.user' structure definition for the appropriate account type.
[ Top ] ### getSectionHeadline [line 197]
`string getSectionHeadline( string $line)`
Creates a section headline. #### Tags:
return: | XML code for headline
#### Parameters
string | $line | section name
[ Top ] ### processAttributes [line 325]
`array processAttributes( string $attrs, [array $return = array()])`
Processes width, height and alignment attributes. #### Tags:
return: | XML code
#### Parameters
string | $attrs | attributes
array | $return | XML code
[ Top ] ### processFormatTags [line 292]
`array processFormatTags( string $line, string $style)`
Formats the XML code. #### Tags:
return: | XML code
#### Parameters
string | $line | XML code of PDF entry
string | $style | style commands
[ Top ] ### processLine [line 216]
`array processLine( string $line, [boolean $first_td = true], mixed $fontName)`
Creates the XML code for an PDF entry. #### Tags:
return: | XML codes
#### Parameters
string | $line | XML code of PDF entry
boolean | $first_td | True if this is the first column
[ Top ] Documentation generated on Tue, 07 Feb 2006 17:03:50 +0100 by phpDocumentor 1.2.3